Package org.eclipse.birt.chart.script.api.component

# Interface ILegend

All Superinterfaces:
  `IChartComponent`

public interface ILegend extends IChartComponent
Represents the Legend of a Chart in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isShowValue()`
Checks if series value could be shown in the Legend.
`void`
`setShowValue(boolean show)`
Sets the option if series value could be shown in the Legend.

### Methods inherited from interface org.eclipse.birt.chart.script.api.component.IChartComponent

`getTitle, isVisible, setVisible`

## Method Details

### isShowValue

boolean isShowValue()
Checks if series value could be shown in the Legend. Note that if chart is colored by category, this option is useless.

Returns:
  show value or not
See Also:
  - `IChart.isColorByCategory()`
  - `IChart.setColorByCategory(boolean)`

### setShowValue

void setShowValue(boolean show)
Sets the option if series value could be shown in the Legend. Note that if chart is colored by category, this option is useless.

Parameters:
  `show` - show value or not
See Also:
  - `IChart.isColorByCategory()`
  - `IChart.setColorByCategory(boolean)`